Subject: Re: is the weeks before -rc1 the time to really be working on -next?

From: Greg KH <[email-masked]>
Date: Wed, 15 Oct 2008 13:30:38 -0700

On Wed, Oct 15, 2008 at 10:04:17PM +0200, Geert Uytterhoeven wrote:
> On Wed, 15 Oct 2008, Greg KH wrote:
> > Just wondering, I know that -next is failing right now, and is a major
> > pain to produce, but that seems to be primarily due to all of the
> > subsystems merging with Linus right now.
> > 
> > So does it even make sense to try to create a -next during the 2 weeks
> > of the major merge window?  It seems to just cause you a whole lot of
> > work, that in the end, is mostly unecessary as all of the subsystem
> > maintainers are doing the merging themselves as trees move into Linus's
> > tree?
> 
> I don't know if it's worth the effort...
> 
> However, we definitely missed linux-next during the last few weeks, seeing
> things getting into mainline that don't even survive simple compile tests.

Oh I agree, I missed it a lot the past few weeks, it's amazing how much
we already started to rely on it in such a short time.  That shows how
valuable the effort is.

Keep it up, I just don't want to see Stephen burn out during the pre-rc1
time period when it might not make as much sense to be trying to create
the tree.

thanks,

greg k-h